# Interface JacocoReportsContainer

All Superinterfaces:
  `Collection<ConfigurableReport>, Configurable<ReportContainer<ConfigurableReport>>, DomainObjectCollection<ConfigurableReport>, DomainObjectSet<ConfigurableReport>, Iterable<ConfigurableReport>, NamedDomainObjectCollection<ConfigurableReport>, NamedDomainObjectSet<ConfigurableReport>, ReportContainer<ConfigurableReport>, Set<ConfigurableReport>`

public interface JacocoReportsContainer extends ReportContainer<ConfigurableReport>
The reporting configuration for the `JacocoReport` task.

Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SingleFileReport`
  `getCsv()`
  The JaCoCo (single file) CSV report
  `DirectoryReport`
  `getHtml()`
  The JaCoCo HTML report
  `SingleFileReport`
  `getXml()`
  The JaCoCo (single file) XML report

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface Configurable

  `configure`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface ReportContainer

  `getAsMap, getElements, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### getHtml

    @Internal DirectoryReport getHtml()
    The JaCoCo HTML report
    Returns:
      The JaCoCo HTML report
    Since:
      1.6

  - ### getXml

    @Internal SingleFileReport getXml()
    The JaCoCo (single file) XML report
    Returns:
      The JaCoCo (single file) XML report
    Since:
      1.6

  - ### getCsv

    @Internal SingleFileReport getCsv()
    The JaCoCo (single file) CSV report
    Returns:
      The JaCoCo (single file) CSV report
    Since:
      1.6